Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetDetectZeros

Gets the flag that enforces zero detection in spectrum slicing.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetDetectZeros(EPS eps,PetscBool *detect)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- detect - whether zeros detection is enforced during factorizations

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetDetectZeros()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetDetectZeros_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages